SDL_GetWindowPixelFormat(3)

NAME
SDL_GetWindowPixelFormat - Get the pixel format associated with the window.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_PixelFormat SDL_GetWindowPixelFormat(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
Returns the pixel format of the window on success or SDL_PIXELFORMAT_UNKNOWN on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.